Index: /WAeUP_SRP/trunk/skins/waeup_futminna/study_course_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/study_course_view.pt	(revision 6856)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/study_course_view.pt	(revision 6856)
@@ -0,0 +1,146 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main"
+              tal:define="global info context/getStudyCourseInfo;">
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info">
+    <span tal:define="create_level info/create_level|nothing;
+                      is_so info/is_so;
+                      titles here/getStudentObjectTitles;">               
+    <a href=""
+       tal:attributes="href string:${here/academicsParent}">
+      <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+      Up one level
+    </a>
+    <h3> 
+       <span tal:condition="python:is_so and info">
+         <span tal:content="info/student/name" />:
+       </span>
+       <span tal:condition="info/is_student">
+          My
+       </span>       
+       <span tal:content="titles/StudentStudyCourse" />
+    </h3>
+    <br />  
+    <table tal:define="sc python: info['course_doc']">
+      <tr>
+        <td width="220px">Current Session:</td> 
+        <td><span tal:content="python:context.portal_vocabularies.sessions.get(info['doc'].current_session)" /></td>
+      </tr>
+      <tr>
+        <td width="220px">Current Study Level:</td> 
+        <td><span tal:content="python:context.portal_vocabularies.student_levels.get(info['doc'].current_level)" /></td>
+      </tr>
+      <tr>
+        <td width="220px">Current Verdict:</td> 
+        <td><span tal:content="info/verdict" /></td>
+      </tr>
+      <tr>
+        <td width="220px">Previous Verdict:</td> 
+        <td><span tal:content="info/previous_verdict" /></td>
+      </tr>      
+      <span tal:define="f_id sc/faculty;
+        d_id sc/department;
+        c_id sc/study_course;
+        f_title context/academics/?f_id/Title|string:Faculty not yet in Prospectus;
+        d_title context/academics/?f_id/?d_id/Title|string:Department not yet in Prospectus;
+        c_title context/academics/?f_id/?d_id/certificates/?c_id/Title|string:Department not yet in Prospectus"
+        >
+      <tr>
+        <td width="220px">Certificate:</td> 
+        <td tal:content="c_title" />
+      </tr>
+      <tr>
+        <td>Certificate Id:</td>
+        <td><span tal:content="sc/study_course" /></td>
+      </tr>
+          <tr>
+            <td>Faculty:</td>
+            <td tal:content="f_title" />
+          </tr>
+          <tr>
+            <td>Department:</td> 
+            <td><span tal:content="d_title" /></td>
+          </tr>
+        </span>
+      </table>        
+    
+    <form action="" method="post" class="group" onsubmit="return submit_once()"
+          tal:attributes="action info/action"
+          tal:define="rows python: info['items'];"
+          >
+      <span tal:condition="rows">
+      
+      <table  class="contentListing" width="100%" summary="content layout" id="folder_content">      
+        <tr tal:repeat="row rows"
+          tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5px;" 
+              tal:condition="python:is_so">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:condition="is_so"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td><a href="view"
+                 tal:attributes="href string:${row/url}">
+            <strong tal:content="row/title" /></a> 
+          </td>
+        </tr>
+      </table>
+      </span>
+      <table width="100%" cellspacing="0" cellpadding="2"
+             summary="contents of the folder"
+             class="folderButtons">
+        <tr tal:condition="python: is_so and info['items']">
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+            <input type="button" value="button_select_all" class="context"
+                     onclick="someJavaScriptFunctionThatWillBeReplaced"
+                     i18n:attributes="value"
+                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                     />
+            <input type="submit" name="level_delete:method" value="button_delete"
+                   class="destructive" i18n:attributes="value"
+                   tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                   (cpsmcat('description_confirm_delete'), )" 
+                   />
+          </td>
+        </tr>
+      </table>
+    </form>
+    <form action="" method="post" class="group" onsubmit="return submit_once()"
+          tal:attributes="action string:${context/absolute_url}/create_level"
+          tal:define="rows python: info['items'];"
+          tal:condition="create_level"
+          >
+      <table width="100%" cellspacing="0" cellpadding="2"
+             summary="contents of the folder"
+             class="folderButtons">
+        <tr>
+          <td align="left" valign="top" rowspan="3"></td>
+          <td align="left" valign="top">
+            <input type="submit" name="create_level" 
+                     class="destructive" 
+                     tal:attributes="value string: Register Courses for ${info/create_level_str}" 
+                     />
+          </td>
+        </tr>
+      </table>
+    </form>  
+    
+    <div tal:condition="info/missing_data">
+       <font color='red'>
+          Your faculty has not yet provided the results and verdict of the previous session.
+       </font>
+    </div>
+
+  </span>
+  </span>
+  </metal:main>
+</metal:body>
+