Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/__init__.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/__init__.py	(revision 6858)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/__init__.py	(revision 6859)
@@ -7,5 +7,5 @@
 from waeup.sirp.students.container import StudentsContainer
 from waeup.sirp.students.studycourse import StudentStudyCourse
-from waeup.sirp.students.payments import StudentPayments
+from waeup.sirp.students.payments import StudentPaymentsContainer
 from waeup.sirp.students.accommodation import StudentAccommodation
 
@@ -16,5 +16,5 @@
     'StudentsContainer',
     'StudentStudyCourse',
-    'StudentPayments',
+    'StudentPaymentsContainer',
     'StudentAccommodation'
     ]
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 6858)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 6859)
@@ -33,7 +33,7 @@
 from waeup.sirp.students.interfaces import (
     IStudentsContainer, IStudent, IStudentClearance, IStudentPasswordSetting,
-    IStudentPersonal, IStudentBase, IStudentStudyCourse, IStudentPayments,
+    IStudentPersonal, IStudentBase, IStudentStudyCourse,
     IStudentAccommodation, IStudentClearanceEdit, IStudentStudyLevel,
-    ICourseTicket, ICourseTicketAdd,
+    ICourseTicket, ICourseTicketAdd, IStudentPaymentsContainer
     )
 from waeup.sirp.students.catalog import search
@@ -97,5 +97,5 @@
     """A breadcrumb for the student payments folder.
     """
-    grok.context(IStudentPayments)
+    grok.context(IStudentPaymentsContainer)
     title = u'Payments'
 
@@ -753,8 +753,8 @@
     """ Page to display the student payments
     """
-    grok.context(IStudentPayments)
+    grok.context(IStudentPaymentsContainer)
     grok.name('index')
     grok.require('waeup.viewStudent')
-    form_fields = grok.AutoFields(IStudentPayments)
+    form_fields = grok.AutoFields(IStudentPaymentsContainer)
     #grok.template('paymentspage')
     title = 'Payments'
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/interfaces.py	(revision 6858)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/interfaces.py	(revision 6859)
@@ -306,5 +306,5 @@
     """
 
-class IStudentPayments(IWAeUPObject):
+class IStudentPaymentsContainer(IWAeUPObject):
     """A container for student payment objects.
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/student.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/student.py	(revision 6858)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/student.py	(revision 6859)
@@ -28,5 +28,5 @@
     IStudentPersonalEdit)
 from waeup.sirp.students.studycourse import StudentStudyCourse
-from waeup.sirp.students.payments import StudentPayments
+from waeup.sirp.students.payments import StudentPaymentsContainer
 from waeup.sirp.students.accommodation import StudentAccommodation
 from waeup.sirp.utils.helpers import attrs_to_fields, get_current_principal
@@ -103,5 +103,5 @@
     studycourse = StudentStudyCourse()
     student['studycourse'] = studycourse
-    payments = StudentPayments()
+    payments = StudentPaymentsContainer()
     student['payments'] = payments
     accommodation = StudentAccommodation()
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_student.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_student.py	(revision 6858)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_student.py	(revision 6859)
@@ -21,8 +21,8 @@
 from waeup.sirp.students.studycourse import StudentStudyCourse
 from waeup.sirp.students.studylevel import StudentStudyLevel, CourseTicket
-from waeup.sirp.students.payments import StudentPayments
+from waeup.sirp.students.payments import StudentPaymentsContainer
 from waeup.sirp.students.accommodation import StudentAccommodation
 from waeup.sirp.students.interfaces import (
-    IStudent, IStudentStudyCourse, IStudentPayments, IStudentAccommodation,
+    IStudent, IStudentStudyCourse, IStudentPaymentsContainer, IStudentAccommodation,
     IStudentStudyLevel, ICourseTicket)
 from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
@@ -38,5 +38,5 @@
         self.studylevel = StudentStudyLevel()
         self.courseticket = CourseTicket()
-        self.payments = StudentPayments()
+        self.payments = StudentPaymentsContainer()
         self.accommodation = StudentAccommodation()
         return
@@ -53,6 +53,6 @@
         verify.verifyObject(IStudentStudyLevel, self.studylevel)
         verify.verifyObject(ICourseTicket, self.courseticket)
-        verify.verifyClass(IStudentPayments, StudentPayments)
-        verify.verifyObject(IStudentPayments, self.payments)
+        verify.verifyClass(IStudentPaymentsContainer, StudentPaymentsContainer)
+        verify.verifyObject(IStudentPaymentsContainer, self.payments)
         verify.verifyClass(IStudentAccommodation, StudentAccommodation)
         verify.verifyObject(IStudentAccommodation, self.accommodation)