Index: /WAeUP_SRP/trunk/skins/waeup_futminna/create_level_101.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/create_level_101.py	(revision 6862)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/create_level_101.py	(revision 6862)
@@ -0,0 +1,87 @@
+##parameters=
+# $Id$
+"""
+process the Application Form
+return html renderer + psm
+"""
+request = context.REQUEST
+import DateTime,logging
+try:
+    from Products.zdb import set_trace
+except:
+    def set_trace():
+        pass
+from Products.AdvancedQuery import Eq, Between, Le,In
+try:
+    aq_portal = context.portal_catalog.evalAdvancedQuery
+except:
+    aq_portal = context.portal_catalog_real.evalAdvancedQuery
+aq_courses = context.courses_catalog.evalAdvancedQuery
+aq_results = context.course_results.evalAdvancedQuery
+
+current = DateTime.DateTime()
+request = context.REQUEST
+response = request.RESPONSE
+redirect = response.redirect
+logger = logging.getLogger('Skins.create_level_101')
+info = context.waeup_tool.getAccessInfo(context)
+student_id = info['student_id']
+if student_id is None:
+    return None
+
+student = context.students_catalog.getRecordByKey(student_id)
+cert_id = student.course
+current_level = student.level
+
+current_session = student.session
+in_progress =  request.get('in_progress','not started')
+if aq_results(Eq('student_id',student_id) & Eq('level_id','100')):
+    logger.info('%s tried to create already existing level 100' % student.id)
+    return 'Forbidden'
+
+if context.hasObject('100') or context.hasObject('101'):
+    logger.info('%s tried to create already existing level 100' % student.id)
+    return 'Forbidden'
+
+context.invokeFactory('StudentStudyLevel',"%s" % '101')
+level = getattr(context,"101")
+context.portal_workflow.doActionFor(level,'open')
+level.getContent().edit(mapping={'session': current_session})
+level_id = level.getId()
+session_id = context.getLevelSession(level.getContent(),student_id,level_id)
+results = []
+records = []
+l = []
+
+res = context.portal_catalog(portal_type="Certificate", id = cert_id)
+if res:
+    cert = res[0]
+    path = cert.getPath()
+    academics_level = '100'
+    query = Eq("path","%s/%s" % (path,academics_level)) &\
+            Eq('portal_type','CertificateCourse')
+    courses = aq_portal(query)
+    for c in courses:
+        course_id = "%s" % c.getId
+        if course_id in l:
+            # don't add twice
+            continue
+        l += course_id,
+        d = context.getCourseInfo(c.getId)
+        d['carry_over'] = False
+        d['core_or_elective'] = getattr(c.getObject().getContent(),'core_or_elective')
+        d['course_id'] = course_id
+        d['student_id'] = student_id = context.getStudentId()
+        d['level_id'] = level_id
+        d['session_id'] = session_id
+        records.append(d)
+
+if records:
+    existing_uids = context.course_results.addMultipleRecords(records)
+    if existing_uids:
+        logger.info('%s level 101 %s existing keys' % (student.id,
+                                                     ",".join(existing_uids)))
+
+logger.info('%s created level 101 (100 carry overs)' % student.id)
+
+return response.redirect("%s/101" % context.absolute_url())
Index: eUP_SRP/trunk/skins/waeup_futminna/create_level_501.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/create_level_501.py	(revision 6861)
+++ 	(revision )
@@ -1,91 +1,0 @@
-##parameters=
-# $Id$
-"""
-process the Application Form
-return html renderer + psm
-"""
-request = context.REQUEST
-import DateTime,logging
-try:
-    from Products.zdb import set_trace
-except:
-    def set_trace():
-        pass
-from Products.AdvancedQuery import Eq, Between, Le,In
-try:
-    aq_portal = context.portal_catalog.evalAdvancedQuery
-except:
-    aq_portal = context.portal_catalog_real.evalAdvancedQuery
-aq_courses = context.courses_catalog.evalAdvancedQuery
-aq_results = context.course_results.evalAdvancedQuery
-
-current = DateTime.DateTime()
-request = context.REQUEST
-response = request.RESPONSE
-redirect = response.redirect
-logger = logging.getLogger('Skins.create_level_501')
-info = context.waeup_tool.getAccessInfo(context)
-student_id = info['student_id']
-if student_id is None:
-    return None
-
-student = context.students_catalog.getRecordByKey(student_id)
-cert_id = student.course
-current_level = student.level
-
-if current_level not in ['500','510',]:
-    logger.info('%s tried to create level 501 but is not in level 500' % student.id)
-    return 'Forbidden'
-
-current_session = student.session
-in_progress =  request.get('in_progress','not started')
-if aq_results(Eq('student_id',student_id) & Eq('level_id','100')):
-    logger.info('%s tried to create already existing level 100' % student.id)
-    return 'Forbidden'
-
-if context.hasObject('100') or context.hasObject('501'):
-    logger.info('%s tried to create already existing level 100' % student.id)
-    return 'Forbidden'
-
-context.invokeFactory('StudentStudyLevel',"%s" % '501')
-level = getattr(context,"501")
-context.portal_workflow.doActionFor(level,'open')
-level.getContent().edit(mapping={'session': current_session})
-level_id = level.getId()
-session_id = context.getLevelSession(level.getContent(),student_id,level_id)
-results = []
-records = []
-l = []
-
-res = context.portal_catalog(portal_type="Certificate", id = cert_id)
-if res:
-    cert = res[0]
-    path = cert.getPath()
-    academics_level = '100'
-    query = Eq("path","%s/%s" % (path,academics_level)) &\
-            Eq('portal_type','CertificateCourse')
-    courses = aq_portal(query)
-    for c in courses:
-        course_id = "%s" % c.getId
-        if course_id in l:
-            # don't add twice
-            continue
-        l += course_id,
-        d = context.getCourseInfo(c.getId)
-        d['carry_over'] = False
-        d['core_or_elective'] = getattr(c.getObject().getContent(),'core_or_elective')
-        d['course_id'] = course_id
-        d['student_id'] = student_id = context.getStudentId()
-        d['level_id'] = level_id
-        d['session_id'] = session_id
-        records.append(d)
-
-if records:
-    existing_uids = context.course_results.addMultipleRecords(records)
-    if existing_uids:
-        logger.info('%s level 501 %s existing keys' % (student.id,
-                                                     ",".join(existing_uids)))
-
-logger.info('%s created level 501 (100 carry overs)' % student.id)
-
-return response.redirect("%s/501" % context.absolute_url())
Index: /WAeUP_SRP/trunk/skins/waeup_futminna/getStudentLevelsVoc.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/getStudentLevelsVoc.py	(revision 6861)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/getStudentLevelsVoc.py	(revision 6862)
@@ -38,5 +38,5 @@
 
 # FUTMinna only
-if ikey == 501:
+if ikey == 101:
     return "100 Level Carryover Courses"
 
Index: /WAeUP_SRP/trunk/skins/waeup_futminna/getStudyCourseInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/getStudyCourseInfo.py	(revision 6861)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/getStudyCourseInfo.py	(revision 6862)
@@ -94,5 +94,5 @@
                (student_record.entry_mode.startswith('pd') and current_level == '500'))  #fceokene only
 
-info['may_register_501'] = (current_level == '500') and '501' not in levels
+info['may_register_101'] = (int(current_level) > 199) and '100' not in levels and '101' not in levels
 
 missing_data = has_paid and\
Index: /WAeUP_SRP/trunk/skins/waeup_futminna/getStudyLevelInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/getStudyLevelInfo.py	(revision 6861)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/getStudyLevelInfo.py	(revision 6862)
@@ -47,12 +47,12 @@
 info['has_verdict'] = has_verdict = level_doc.verdict
 
-info['submission_allowed']= school_fee_paid and is_current_level and not has_verdict and level_id != '501'
-info['validation_allowed']= review_state == 'courses_registered' and is_current_level and level_id != '501'
+info['submission_allowed']= school_fee_paid and is_current_level and not has_verdict and level_id != '101'
+info['validation_allowed']= review_state == 'courses_registered' and is_current_level and level_id != '101'
 info['rejection_allowed']= review_state in ('courses_registered', 'courses_validated','returning',) and\
-                                             is_current_level and level_id != '501'
+                                             is_current_level and level_id != '101'
 info['validated'] = level_doc.validated_by and not (is_current_level and review_state in ('courses_registered',))
 info['show_check_boxes'] =  (is_ca and school_fee_paid and is_current_level and not has_verdict) or\
                             (info['is_student'] and school_fee_paid and is_current_level and not has_verdict) or\
-                            level_id == '501' or\
+                            level_id == '101' or\
                             (is_so) # and is_current_level and not has_verdict)
 
@@ -90,6 +90,6 @@
 info['credits_exceeded'] = total_credits > max_credits
 current_session = student.session
-info['show_submit'] = not info['credits_exceeded'] and level_id != '501'
-info['show_update'] = level_id != '501'
+info['show_submit'] = not info['credits_exceeded'] and level_id != '101'
+info['show_update'] = level_id != '101'
 #end customization
 
Index: /WAeUP_SRP/trunk/skins/waeup_futminna/study_course_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/study_course_view.pt	(revision 6861)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/study_course_view.pt	(revision 6862)
@@ -135,7 +135,7 @@
 
     <form action="" method="post" class="group" onsubmit="return submit_once()"
-          tal:attributes="action string:${context/absolute_url}/create_level_501"
+          tal:attributes="action string:${context/absolute_url}/create_level_101"
           tal:define="rows python: info['items'];"
-          tal:condition="info/may_register_501"
+          tal:condition="info/may_register_101"
           >
       <table width="100%" cellspacing="0" cellpadding="2"
Index: /WAeUP_SRP/trunk/skins/waeup_student/register_courses.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/register_courses.py	(revision 6861)
+++ /WAeUP_SRP/trunk/skins/waeup_student/register_courses.py	(revision 6862)
@@ -34,5 +34,5 @@
 
 # FUTMinna only
-if context.getId() == '501':
+if context.getId() == '101':
     return 'Forbidden'
 