Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6907)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6908)
@@ -257,6 +257,6 @@
     grok.name('add')
     form_fields = grok.AutoFields(IUserAccount)
-    label = ''
-    title = 'Add user'
+    label = 'Add user'
+    title = 'Portal Users'
 
     @grok.action('Add user')
@@ -461,5 +461,6 @@
     grok.name('upload')
     grok.require('waeup.manageUniversity')
-    title = u'Data Center Upload'
+    title = u'Data Center'
+    label = u'Upload file'
     pnav = 0
 
@@ -507,5 +508,6 @@
     grok.template('datacenterimport1page')
     grok.require('waeup.manageUniversity')
-    title = u'Process CSV file'
+    title = u'Data Center'
+    label = u'Process CSV file'
     pnav = 0
 
@@ -536,5 +538,6 @@
     grok.template('datacenterimport2page')
     grok.require('waeup.manageUniversity')
-    title = u'Process CSV file'
+    title = u'Data Center'
+    label = u'Process CSV file'
     pnav = 0
 
@@ -653,5 +656,6 @@
     grok.template('datacenterimport3page')
     grok.require('waeup.manageUniversity')
-    title = u'Process CSV file'
+    title = u'Data Center'
+    label = u'Process CSV file'
     pnav = 0
 
@@ -756,5 +760,6 @@
     grok.template('datacenterimport4page')
     grok.require('waeup.manageUniversity')
-    title = u'Process CSV file'
+    title = u'Data Center'
+    label = u'Process CSV file'
     pnav = 0
 
@@ -810,5 +815,6 @@
     grok.template('datacenterlogspage')
     grok.require('waeup.manageUniversity')
-    title = u'Data Center Logs'
+    title = u'Data Center'
+    label = u'Show logfiles'
     pnav = 0
 
@@ -830,5 +836,5 @@
     grok.template('datacenterlogsshowfilepage')
     grok.require('waeup.manageUniversity')
-    title = u'Show file'
+    title = u'Data Center'
     pnav = 0
 
@@ -849,5 +855,6 @@
     grok.template('datacentermanagepage')
     grok.require('waeup.manageUniversity')
-    title = u'Data Center Settings'
+    title = u'Data Center'
+    label = 'Edit data center settings'
     pnav = 0
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport1page.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport1page.pt	(revision 6907)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport1page.pt	(revision 6908)
@@ -1,3 +1,5 @@
-<h2>Process CSV file</h2>
+<h2 i18n:translate=""
+tal:condition="view/label"
+tal:content="view/label">Label</h2>
 <h3>Step 1</h3>
 <p>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport2page.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport2page.pt	(revision 6907)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport2page.pt	(revision 6908)
@@ -1,3 +1,5 @@
-<h2>Process CSV file</h2>
+<h2 i18n:translate=""
+tal:condition="view/label"
+tal:content="view/label">Label</h2>
 <h3>Step 2</h3>
 <form method="POST">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport3page.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport3page.pt	(revision 6907)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport3page.pt	(revision 6908)
@@ -1,3 +1,5 @@
-<h2>Process CSV file</h2>
+<h2 i18n:translate=""
+tal:condition="view/label"
+tal:content="view/label">Label</h2>
 <h3>Step 3</h3>
 <form>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport4page.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport4page.pt	(revision 6907)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport4page.pt	(revision 6908)
@@ -1,3 +1,5 @@
-<h2>Process CSV file</h2>
+<h2 i18n:translate=""
+tal:condition="view/label"
+tal:content="view/label">Label</h2>
 <h3>Step 4</h3>
 <p>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterlogspage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterlogspage.pt	(revision 6907)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterlogspage.pt	(revision 6908)
@@ -1,8 +1,5 @@
-<p>
-  Here you can see the local logfiles.
-</p>
-<p>
-  Use the buttons on the right to examine the files.
-</p>
+<h2 i18n:translate=""
+tal:condition="view/label"
+tal:content="view/label">Label</h2>
 
 <div tal:define="files view/files">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacentermanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacentermanagepage.pt	(revision 6907)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacentermanagepage.pt	(revision 6908)
@@ -1,2 +1,6 @@
+<h2 i18n:translate=""
+tal:condition="view/label"
+tal:content="view/label">Label</h2>
+
 <form method="POST">
   <div>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenteruploadpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenteruploadpage.pt	(revision 6907)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenteruploadpage.pt	(revision 6908)
@@ -1,2 +1,6 @@
+<h2 i18n:translate=""
+tal:condition="view/label"
+tal:content="view/label">Label</h2>
+
 <form method="post" enctype="multipart/form-data">
   <input type="file" name="uploadfile:file" />