Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 6914)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 6915)
@@ -36,8 +36,8 @@
 from waeup.sirp.image import createWAeUPImageFile
 from waeup.sirp.image.schema import ImageFile
-from waeup.sirp.interfaces import IWAeUPObject
+from waeup.sirp.interfaces import IWAeUPObject, year_range
 from waeup.sirp.university.vocabularies import application_categories
 from waeup.sirp.students.vocabularies import (
-  year_range, lgas_vocab, CertificateSource, GenderSource,
+  lgas_vocab, CertificateSource, GenderSource,
   )
 from waeup.sirp.applicants.vocabularies import (
Index: main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py	(revision 6914)
+++ main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py	(revision 6915)
@@ -2,4 +2,5 @@
 ## interfaces.py
 import os
+from datetime import datetime
 from hurry.workflow.interfaces import IWorkflow, IWorkflowInfo
 from zc.sourcefactory.basic import BasicSourceFactory
@@ -13,4 +14,22 @@
         os.path.dirname(__file__), 'frontpage.rst'), 'rb').read()
 
+def SimpleWAeUPVocabulary(*terms):
+    """A well-buildt vocabulary provides terms with a value, token and
+       title for each term
+    """
+    return SimpleVocabulary([
+            SimpleTerm(value, value, title) for title, value in terms])
+
+def year_range():
+    curr_year = datetime.now().year
+    return range(curr_year - 2, curr_year + 5)
+
+def academic_sessions():
+    curr_year = datetime.now().year
+    year_range = range(curr_year - 10, curr_year + 2)
+    return [('%s/%s' % (year,year+1), year) for year in year_range]
+
+academic_sessions_vocab = SimpleWAeUPVocabulary(*academic_sessions())
+
 class FatalCSVError(Exception):
     """Some row could not be processed.
@@ -32,11 +51,4 @@
     def __str__(self):
         return '%r' % self.msg
-
-def SimpleWAeUPVocabulary(*terms):
-    """A well-buildt vocabulary provides terms with a value, token and
-       title for each term
-    """
-    return SimpleVocabulary([
-            SimpleTerm(value, value, title) for title, value in terms])
 
 class RoleSource(BasicSourceFactory):
@@ -216,6 +228,19 @@
 
 class ISessionConfiguration(IWAeUPObject):
-    """A container for session configuration objects.
-    """
+    """A session configuration object.
+    """
+
+    academic_session = schema.Choice(
+        title = u'Academic Session',
+        source = academic_sessions_vocab,
+        default = None,
+        required = True,
+        readonly = True,
+        )
+
+    fee_1 = schema.Int(
+        title = u'School Fee',
+        default = 0,
+        )
 
 class IDataCenter(IWAeUPObject):
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/interfaces.py	(revision 6914)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/interfaces.py	(revision 6915)
@@ -4,5 +4,5 @@
 from zope.interface.exceptions import Invalid
 from zope import schema
-from waeup.sirp.interfaces import IWAeUPObject
+from waeup.sirp.interfaces import IWAeUPObject, academic_sessions_vocab
 from waeup.sirp.schema import TextLineChoice
 from waeup.sirp.university.vocabularies import CourseSource, study_modes
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/utils.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/utils.py	(revision 6914)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/utils.py	(revision 6915)
@@ -3,5 +3,5 @@
 
 from random import SystemRandom as r
-from waeup.sirp.students.vocabularies import academic_sessions_vocab
+from waeup.sirp.interfaces import academic_sessions_vocab
 
 def generate_student_id(students,letter):
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/vocabularies.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/vocabularies.py	(revision 6914)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/vocabularies.py	(revision 6915)
@@ -1,5 +1,4 @@
 """Vocabularies and sources for the student section.
 """
-from datetime import datetime
 from zope.component import getUtility, queryUtility
 from zope.catalog.interfaces import ICatalog
@@ -9,20 +8,7 @@
 from zc.sourcefactory.basic import BasicSourceFactory
 from zc.sourcefactory.contextual import BasicContextualSourceFactory
-from waeup.sirp.interfaces import SimpleWAeUPVocabulary
+from waeup.sirp.interfaces import SimpleWAeUPVocabulary, academic_sessions_vocab
 from waeup.sirp.students.lgas import LGAS
 from waeup.sirp.university.vocabularies import course_levels
-
-
-
-def year_range():
-    curr_year = datetime.now().year
-    return range(curr_year - 2, curr_year + 5)
-
-def academic_sessions():
-    curr_year = datetime.now().year
-    year_range = range(curr_year - 10, curr_year + 2)
-    return [('%s/%s' % (year,year+1), year) for year in year_range]
-
-academic_sessions_vocab = SimpleWAeUPVocabulary(*academic_sessions())
 
 lgas_vocab = SimpleWAeUPVocabulary(